%option noyywrap
%{
class LambdaExpression;
#include <string>
using namespace std;
#include "lambda.tab.hpp"
%}
%%
[.()+*%] return *yytext;
define  return DEFINE;
[a-zA-Z][a-zA-Z0-9]*  { yylval.string_attr = new string(yytext); return ID; }
[0-9]+	{ yylval.int_attr = atoi(yytext); return NUM; }
[ \t\n]
%%
